## org.eclipse.datatools.sqltools.sqleditor.internal.sql
Class AbstractSQLScanner

    java.lang.Object
      org.eclipse.jface.text.rules.RuleBasedScanner
          org.eclipse.jface.text.rules.BufferedRuleBasedScanner
              org.eclipse.datatools.sqltools.sqleditor.internal.sql.AbstractSQLScanner

All Implemented Interfaces:
  org.eclipse.jface.text.rules.ICharacterScanner, org.eclipse.jface.text.rules.ITokenScanner

Direct Known Subclasses:
  SingleTokenSQLScanner, SingleTokenSQLScanner, SQLCommentScanner, SQLCommentScanner

    public abstract class AbstractSQLScanner

extends org.eclipse.jface.text.rules.BufferedRuleBasedScanner

Abstract scanner which defines methods common to all types of SQL scanner.

Author:
  Li Huang

Field Summary

Fields inherited from interface org.eclipse.jface.text.rules.ICharacterScanner
`EOF`

Constructor Summary
`AbstractSQLScanner()`

Method Summary
`void` `initialize()` Must be called after the constructor has been called.

Methods inherited from class org.eclipse.jface.text.rules.BufferedRuleBasedScanner
`read, setRange, unread`

Methods inherited from class org.eclipse.jface.text.rules.RuleBasedScanner
`getColumn, getLegalLineDelimiters, getTokenLength, getTokenOffset, nextToken, setDefaultReturnToken, setRules`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSQLScanner

    public AbstractSQLScanner()

Method Detail

### initialize

    public final void initialize()

  Must be called after the constructor has been called.